picard.sam.markduplicates.util

## Class ReadEndsForMarkDuplicates

- java.lang.Object
- - picard.sam.util.PhysicalLocationInt
  - - picard.sam.util.PhysicalLocationShort
    - - picard.sam.markduplicates.util.ReadEnds
      - - picard.sam.markduplicates.util.ReadEndsForMarkDuplicates

- All Implemented Interfaces:
    Cloneable, PhysicalLocation
  Direct Known Subclasses:
    ReadEndsForMarkDuplicatesWithBarcodes

      public class ReadEndsForMarkDuplicates
      extends ReadEnds
      implements Cloneable

  Little struct-like class to hold read pair (and fragment) end data for MarkDuplicatesWithMateCigar

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `read1IndexInFile`
    `long` | `read2IndexInFile`
    `short` | `score`
    `protected static int` | `SIZE_OF`

    - ### Fields inherited from class picard.sam.markduplicates.util.ReadEnds

      `F, FF, FR, isOpticalDuplicate, libraryId, orientation, orientationForOpticalDuplicates, R, read1Coordinate, read1ReferenceIndex, read2Coordinate, read2ReferenceIndex, readGroup, RF, RR`

    - ### Fields inherited from class picard.sam.util.PhysicalLocationInt

      `tile, x, y`

    - ### Fields inherited from interface picard.sam.util.PhysicalLocation

      `NO_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadEndsForMarkDuplicates()`
    `ReadEndsForMarkDuplicates(ReadEndsForMarkDuplicates read)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadEndsForMarkDuplicates` | `clone()`
    `static int` | `getSizeOf()`

    - ### Methods inherited from class picard.sam.markduplicates.util.ReadEnds

      `getLibraryId, getOrientationByte, getReadGroup, isPaired, setLibraryId, setReadGroup`

    - ### Methods inherited from class picard.sam.util.PhysicalLocationShort

      `setX, setY`

    - ### Methods inherited from class picard.sam.util.PhysicalLocationInt

      `getTile, getX, getY, setTile`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.sam.util.PhysicalLocation

      `hasLocation`

- - ### Field Detail

    - #### SIZE_OF

          protected static final int SIZE_OF

      See Also:
        Constant Field Values

    - #### score

          public short score

    - #### read1IndexInFile

          public long read1IndexInFile

    - #### read2IndexInFile

          public long read2IndexInFile

  - ### Constructor Detail

    - #### ReadEndsForMarkDuplicates

          public ReadEndsForMarkDuplicates()

    - #### ReadEndsForMarkDuplicates

          public ReadEndsForMarkDuplicates(ReadEndsForMarkDuplicates read)

  - ### Method Detail

    - #### getSizeOf

          public static int getSizeOf()

    - #### clone

          public ReadEndsForMarkDuplicates clone()

      Overrides:
        `clone` in class `Object`